%define name cpudyn
%define version 1.0.1
%define release %mkrel 7

Summary: A tools to control CPU frequency
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://mnm.uib.es/gallir/cpudyn/download/%{name}-%{version}.tar.bz2
Source1: %{name}.initscript
Patch0:  cpudyn-printf-format.patch
License: GPL
Group: System/Kernel and hardware
Url: http://mnm.uib.es/~gallir/cpudyn/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch: %ix86 ppc x86_64
Requires(pre): rpm-helper
Requires(post): rpm-helper

%description
This program control the speed in Intel SpeedStep, Pentium 4 Mobile
and PowerPC machines with the cpufreq compiled in the kernel.

It allows to reduce cpu speed in order to save battery and reduce 
temperature of the processor. It can also put the drive on standby mode.

Tested with 2.4, Pentium 3 Speedstep Laptop (Dell Latitude),
Pentium 4 Mobile Laptop (Dell Inspiron), AMD Power Now, Apple iBook,
IBM Thinkpad. cpudyn is just a user space program, so it will work on
every processor supported by the kernel's cpufreq driver.

%prep
%setup -q -n %name
%patch0 -p0

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_sbindir,%_mandir/man8,%_sysconfdir/sysconfig,%_initrddir}
cp cpudynd %buildroot%_sbindir/cpudynd
#bzip2 cpudynd.8
cp cpudynd.8 %buildroot%_mandir/man8/

install -m 755 %SOURCE1 %buildroot%_initrddir/%name

cat > %buildroot/%_sysconfdir/sysconfig/%name <<EOF
# see man 8 cpudynd  for details
OPTS="-i 1 -p 0.5 0.90"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sbindir/cpudynd
%_mandir/man8/cpudynd*
%config(noreplace) %_sysconfdir/sysconfig/%{name}
%config(noreplace) %_initrddir/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-7.mga3
+ Revision: 348250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 08 2011 nanardon <nanardon> 1.0.1-6.mga1
+ Revision: 96211
- imported package cpudyn

